org.apache.cassandra.cql3.hooks

## Class ExecutionContext

- java.lang.Object
- - org.apache.cassandra.cql3.hooks.ExecutionContext

    public class ExecutionContext
    extends java.lang.Object

Contextual information about the execution of a CQLStatement. Used by `PreExecutionHook` and `PostExecutionHook` The CQL string representing the statement being executed is optional and is not present for prepared statements. Contexts created for the execution of regular (i.e. non-prepared) statements will always contain a CQL string.

### Field Summary

Fields
`QueryOptions` `queryOptions`
`QueryState` `queryState`
`com.google.common.base.Optional<java.lang.String>` `queryString`

### Constructor Summary

Constructors
Constructor and Description
`ExecutionContext(QueryState queryState, java.lang.String queryString, QueryOptions queryOptions)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### queryState

    public final QueryState queryState

#### queryString

    public final com.google.common.base.Optional<java.lang.String> queryString

#### queryOptions

    public final QueryOptions queryOptions

### Constructor Detail

#### ExecutionContext

    public ExecutionContext(QueryState queryState,
                    java.lang.String queryString,
                    QueryOptions queryOptions)